Author Topic: Can anyone upgrade CKeditor?  (Read 117307 times)

daydreamer

  • Guest
Can anyone upgrade CKeditor?
« on: January 15, 2013, 10:59:56 AM »
Could anyone upgrade ckeditor to version 4.0.1 looks awesome and new features  :-D

Offline badknight

  • WebsiteBaker Org e.V.
  • **
  • Posts: 819
  • Gender: Male
    • pinzweb
Re: Can anyone upgrade CKeditor?
« Reply #1 on: January 15, 2013, 11:32:08 AM »
Could anyone upgrade ckeditor to version 4.0.1 looks awesome and new features  :-D

The Problem with the 4.0 is -> there is no php connector class
- A normal overwriting of the files doesn't work :)
Ich würde gern die Welt verändern, doch Gott gibt mir den Quellcode nicht...

daydreamer

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #2 on: January 15, 2013, 03:01:14 PM »
So it can be done? maybe just have to wait for some great person to do it  :wink:

Offline marmot

  • Posts: 1103
Re: Can anyone upgrade CKeditor?
« Reply #3 on: January 15, 2013, 07:56:00 PM »
Hi,

maybe just have to wait for some great person to do it
maybe you don't have to wait anynmore for that great person. Look here.

regards

NorHei

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #4 on: January 16, 2013, 09:33:49 PM »
Thats not right :-(

its the latest version before 4.0 !!!

4.0 does no longer have the php connector class so its not a plain simple upgrade.

sooner or later i will find time to upgrade it to 4.0 but i guess its later :-(

Offline marmot

  • Posts: 1103
Re: Can anyone upgrade CKeditor?
« Reply #5 on: January 16, 2013, 10:45:42 PM »
Hi,

maybe you don't have to wait anynmore for that great person.
Thats not right :-(
hmm, do you know what maybe means? Maybe means also "maybe not" so everyting is ok.
But yes you are right, think I should try reading more carefully.
Thanks for your cke upgrade anyway.

regards

NorHei

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #6 on: January 17, 2013, 11:38:44 AM »
Maybe means, next project where i need frontend editing  :-D

If you replace the version of the module whith the 4.0 you get no editor and firebug complains about one mising variable . BTW. the php connector class was never needed , it was just there to make embedding more comfortable.
I guess there its just one config var missing.

Offline cwsoft

  • Posts: 605
Re: Can anyone upgrade CKeditor?
« Reply #7 on: January 17, 2013, 01:00:41 PM »
Hi,

not really looked at, but maybe a good starting point from Blackbird can be found here.

Cheers

NorHei

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #8 on: January 17, 2013, 05:31:56 PM »
hmmm... not really , redoing it from scratch may be faster.
All those ugly "L" stuff there,

Offline marmot

  • Posts: 1103
Re: Can anyone upgrade CKeditor?
« Reply #9 on: January 17, 2013, 11:14:09 PM »
Hi,

ok just to prove that it's not that difficult to use cke 4.0.1 with wb I upgraded the module using cke 4.0.1 full. Just had to use a proper skin and disable some plugins.
Ok, the wb plugins like droplets and wblink don't work and I'm afraid it's not that easy to upgrade them. But as far as I can see, they also don't work in the version mentioned by cwsoft.

Maybe this is helpful for someone.

PS: This is really quick and dirty but looking at the code of the original module I'm not ashamed of that.  :-D

regards

Edith: find latest version below
« Last Edit: April 18, 2013, 08:57:55 PM by marmot »

NorHei

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #10 on: January 18, 2013, 11:59:50 AM »
Quote
But as far as I can see, they also don't work in the version mentioned by cwsoft.
Correct  :lol:


« Last Edit: January 18, 2013, 12:12:30 PM by NorHei »

Offline marmot

  • Posts: 1103
Re: Can anyone upgrade CKeditor?
« Reply #11 on: April 18, 2013, 08:57:10 PM »
Hi,

upgraded my version from above by cleaning code a bit and adapting wb plugins to cke 4.
Works fine for me.

regards

Edith: find latest version below
« Last Edit: April 30, 2013, 07:40:37 PM by marmot »

Offline nibz

  • Posts: 683
  • Gender: Male
Re: Can anyone upgrade CKeditor?
« Reply #12 on: April 18, 2013, 11:24:54 PM »
I am sorry to say, but it doesn't load...
Or did i do something wrong?, or forgot something...

Can PM you some demo login details if you like

jacobi22

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #13 on: April 19, 2013, 11:54:21 AM »
Works fine for me.

for me too
THANKS!!!

Offline nibz

  • Posts: 683
  • Gender: Male
Re: Can anyone upgrade CKeditor?
« Reply #14 on: April 19, 2013, 02:16:23 PM »
i think i have found the problem.

When i set my admin language to German the CKeditor works, but it doesn't work when i set my admin language to English or Dutch.

Gr. Robin

jacobi22

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #15 on: April 19, 2013, 03:09:59 PM »
go to modules / ckeditor / ckeditor / plugins / wbdroplets / lang /  your favorite language.js (en.js)
and fix this line
CKEDITOR.plugins.se tLang( 'wbdroplets', 'de', {

change the de with the name from the js-File

example:

entry in en.js
CKEDITOR.plugins.se tLang( 'wbdroplets', 'de', {

change to
CKEDITOR.plugins.se tLang( 'wbdroplets', 'en', {

P.S.: if you want or need: translate the other lines in this file
« Last Edit: April 19, 2013, 03:14:58 PM by jacobi22 »

Offline nibz

  • Posts: 683
  • Gender: Male
Re: Can anyone upgrade CKeditor?
« Reply #16 on: April 19, 2013, 04:38:08 PM »
Thanks for the tip.

This works for the english .js file, but this doesn't work for the dutch (nl) file strange enough.
Maybe another plugin is causing is (also) causing the error.

Will try.. and if i find it i will let you know.

Offline nibz

  • Posts: 683
  • Gender: Male
Re: Can anyone upgrade CKeditor?
« Reply #17 on: April 19, 2013, 04:48:37 PM »
Firebug to the rescue ;)

There was a double ' in the wblink nl.js file after noNews

in /ckeditor/plugins/wblink/lang/nl.js change:
Code: [Select]
noNews: 'no news page selected''
to
Code: [Select]
noNews: 'no news page selected'
« Last Edit: April 19, 2013, 05:03:43 PM by nibz »

Offline nibz

  • Posts: 683
  • Gender: Male
Re: Can anyone upgrade CKeditor?
« Reply #18 on: April 19, 2013, 06:17:02 PM »
Attatched a new version.
Now it should work in any language.

[gelöscht durch Administrator]

jacobi22

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #19 on: April 20, 2013, 12:03:46 PM »
THANKS again!

if somebody like colored skins for this ckeditor-version, see the attachment

unpak the files to modules / ckeditor / ckeditor / skins

and change the include.php in line 118 from
Code: [Select]
$ckeditor->config['skin'] = 'moono';
to
Code: [Select]
$ckeditor->config['skin'] = 'moonocolor';
« Last Edit: May 14, 2013, 03:38:07 PM by jacobi22 »

Offline marmot

  • Posts: 1103
Re: Can anyone upgrade CKeditor?
« Reply #20 on: April 29, 2013, 03:54:22 PM »
Hi,

Quote from: info.php
*  version 4.1.0 130429
 *  + using cke 4.1.0 full
 *  + moonocolor skin as suggested by jacobi22 http://www.WebsiteBaker.org/forum/index.php/topic,25334.msg175711.html#msg175711 (icons for wb plugins need redesign)
 *  ! fixed language problems as reported and solved by jacobi22 http://www.WebsiteBaker.org/forum/index.php/topic,25334.msg175684.html#msg175684
 *    and nibz http://www.WebsiteBaker.org/forum/index.php/topic,25334.msg175692.html#msg175692
 *  - deleted examples folder to keep file size a least bit smaller
 *  ! some more code cleaning, make toolbar selection work with wysiwyg-admin http://www.websitebakers.com/pages/admin/admin-tools/wysiwyg-admin.php
thanks for all the feedback and suggestions.

regards

Edith: find latest version below
« Last Edit: April 30, 2013, 07:41:21 PM by marmot »

instantflorian

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #21 on: April 30, 2013, 08:41:08 AM »
Hi,

thank you very much for updating the CKE for WB. It looks good and works fine.

Edit: Sorry. The last version (130429) has a bug, it is not possible to save any links (neither internal, external nor e-mail-links). They are displayed, but after clicking on "save" (the icon in the toolbar or the button under the editor field, no difference) the link disappears. (At least with the newst Firefox, Windows 7, WB 2.8.3 Rev. 1638)

This problem does not exist in the older version (130419).

I've noticed you added an option to chose a news item in the link dialogue. That's a great idea.
Maybe it would be helpful if there was also an option to chose a "Topics" item?
(I had already a look at the php and js files of the plugin but did not manage to understand the js part.)

BR
_florian.
« Last Edit: April 30, 2013, 10:38:09 AM by instantflorian »

Offline marmot

  • Posts: 1103
Re: Can anyone upgrade CKeditor?
« Reply #22 on: April 30, 2013, 07:39:48 PM »
Hi,

thanks for testing, reporting and suggesting.
Edit: Sorry. The last version (130429) has a bug, it is not possible to save any links (neither internal, external nor e-mail-links). They are displayed, but after clicking on "save" (the icon in the toolbar or the button under the editor field, no difference) the link disappears. (At least with the newst Firefox, Windows 7, WB 2.8.3 Rev. 1638)
some would say it's not a bug it's a feature of cke 4.1 as described here and there. Disabled that as I belive this will cause more problems than gain of security. (..and btw I'm I bit too lazy to get into the details  8-) )
Quote
Maybe it would be helpful if there was also an option to chose a "Topics" item?
(I had already a look at the php and js files of the plugin but did not manage to understand the js part.)
tried that in the latest update by editing pages.php of the wbllink plugin, so understanding the js part is not too important in this case  :wink:.

Quote from: info.php
*  version 4.1.1 130430
 *  + using cke 4.1.1 full
 *  ! disabled Advanced Content Filter (ACF) to prevent filtering of wblinks
 *  ! excluded loading of link plugin becuase of double entiries in context menu, must be loaded for non WB Toolbars
 *  + topics pages are also selectable as wblink as requested by instantflorian http://www.WebsiteBaker.org/forum/index.php/topic,25334.msg175956.html#msg175956

regards

Edith: find latest version below
« Last Edit: June 18, 2013, 11:24:22 PM by marmot »

instantflorian

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #23 on: April 30, 2013, 08:24:59 PM »
hi marmot,

thanks for the extrawurst for me ;-)

Unfortunately, the link dialogue for Topics does not work yet, the select box stays empty. (See screenshot. "Politik" is a topics page)

BR
_florian

Offline dbs

  • Betatester
  • **
  • Posts: 8076
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Can anyone upgrade CKeditor?
« Reply #24 on: April 30, 2013, 08:28:34 PM »
this version can only skin moono, right?